<!--
Copyright (c) 2021 - present / Neuralmagic, Inc. All Rights Reserved.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->

# Examples

This directory contains self-documented examples to illustrate how to make use of the DeepSparse Engine. 

For instructions on how to run each example, either check the script header or run them with `-h`.

Open a Pull Request to [contribute](https://github.com/neuralmagic/deepsparse/blob/main/CONTRIBUTING.md) your own examples.

## Examples

| Notebook     |      Description      |
|----------|-------------|
| [Benchmark and ONNX Model Correctness](https://github.com/neuralmagic/deepsparse/blob/main/examples/benchmark/)  | Comparing predictions and benchmark performance between DeepSparse Engine and ONNXRuntime  |
| [Classification](https://github.com/neuralmagic/deepsparse/blob/main/examples/classification/)  | How to use classification models from SparseZoo to perform inference and benchmarking with the DeepSparse Engine  |
| [Detection](https://github.com/neuralmagic/deepsparse/blob/main/examples/detection/)  | How to use object detection models from SparseZoo to perform inference and benchmarking with the DeepSparse Engine  |
| [Model Server](https://github.com/neuralmagic/deepsparse/blob/main/examples/flask/)  | Simple model server and client example, showing how to use the DeepSparse Engine as an inference backend for a real-time inference server |
| [YOLOv3](https://github.com/neuralmagic/deepsparse/blob/main/examples/ultralytics-yolov3/) | Serving, benchmarking, and running annotation inferences with YOLOv3 models |
